# possible values: sofa, fractal
target.platform=sofa

check.obeying=true
check.deadlocks=true
check.races=true

# possible values: inverted, calltrig, userdef
envproto.type=inverted

use.patterns=false
use.metric.sfa=false

# possible values: full, senscomp, recurred, mtdpairs, subsets, ordpairs
envproto.reduction.type=full
		
# default value points to system-wide temporary directory
temporary.directory=/tmp

# configuration of pattern weights (range [0,1])
detector.deadlock.nestedlocksdiffclass=1
detector.deadlock.nestedlocksdifffield=0.5
detector.deadlock.nestedlocks=0.3
detector.deadlock.waitnotifytwolocks=0.5
detector.deadlock.waitnotify=0.2
detector.racecond.lockdiffclass=1
detector.racecond.locksameclass=0.25
recurred.proportional.weight.threshold=0.8
		
# configuration of the SVA metric (range [0,1])
metric.sfa.alpha=0.5
metric.sfa.beta=0.5
metric.sfa.gamma=0.107301
